using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CommandIcon : MonoBehaviour {

	public delegate void CommandIconCallBack(CommandIcon icon);
	public CommandIconCallBack OnClick;

	public CommandList.Command type;
	
	void OnMouseDown()
	{
		if (OnClick != null)
		{
			OnClick(this);
		}
	}
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
